# property

abstract fun <T> property(valueType: Class<T>): Property<T>

Creates a Property implementation to hold values of the given type. The property has no initial value.

For certain types, there are more specialized property factory methods available:

- For List properties, you should use listProperty.
- For Set properties, you should use setProperty.
- For Map properties, you should use mapProperty.
- For org.gradle.api.file.Directory properties, you should use directoryProperty.
- For org.gradle.api.file.RegularFile properties, you should use fileProperty.
- For File properties, you should use fileProperty for regular files and directoryProperty for directories.

#### Return

The property. Never returns null.

#### Since

4.3

#### Parameters

valueType

The type of the property.